PHP Manual
Prev |  | Next

# HttpMessage::setRequestMethod

(no version information, might be only in CVS)

HttpMessage::setRequestMethod -- Set request method

## Description

publicbool HttpMessage::setRequestMethod ( string method )

Set the Request Method of the HTTP Message.

## Parameters

method

  the request method name

## Return Values

Returns TRUE on success, or FALSE if the message is not of type HttpMessage::`TYPE_REQUEST` or an invalid request method was supplied.

Prev | Home | Next
HttpMessage::getRequestMethod | Up | HttpMessage::getRequestUrl